spectre-meltdown-checker-0.40-18.1.i586.rpm


Advertisement

Description

spectre-meltdown-checker - Spectre & Meltdown Vulnerability Checker

Property Value
Distribution openSUSE Tumbleweed
Repository Security all
Package filename spectre-meltdown-checker-0.40-18.1.i586.rpm
Package name spectre-meltdown-checker
Package version 0.40
Package release 18.1
Package architecture i586
Package type rpm
Category Productivity/Security
Homepage https://github.com/speed47/spectre-meltdown-checker
License GPL-3.0-only
Maintainer -
Download size 53.61 KB
Installed size 195.55 KB
A shell script to tell if your Linux installation is vulnerable
against the three "speculative execution" CVEs that were made public
in early 2018.
Without options, the script inspects the currently running kernel.
Alternatively, a kernel image can be specify on the command line to
analyze a non-running kernel.
The script tries to detect mitigations, including backported
non-vanilla patches, regardless of the advertised kernel version
number.

Alternatives

Package Version Architecture Repository
spectre-meltdown-checker-0.40-18.1.x86_64.rpm 0.40 x86_64 Security
spectre-meltdown-checker-0.40-2.1.i586.rpm 0.40 i586 openSUSE Oss
spectre-meltdown-checker-0.40-2.1.x86_64.rpm 0.40 x86_64 openSUSE Oss
spectre-meltdown-checker - - -

Provides

Name Value
spectre-meltdown-checker = 0.40-18.1
spectre-meltdown-checker(x86-32) = 0.40-18.1

Download

Type URL
Mirror widehat.opensuse.org
Binary Package spectre-meltdown-checker-0.40-18.1.i586.rpm
Source Package spectre-meltdown-checker-0.40-18.1.src.rpm

Install Howto

  1. Add the Security repository:
    # zypper addrepo http://widehat.opensuse.org/opensuse/repositories/security/openSUSE_Tumbleweed/ security
  2. Install spectre-meltdown-checker rpm package:
    # zypper install spectre-meltdown-checker

Files

Path
/usr/bin/spectre-meltdown-checker.sh
/usr/share/doc/packages/spectre-meltdown-checker/LICENSE
/usr/share/doc/packages/spectre-meltdown-checker/README.md

Changelog

2019-03-27 - Jan Engelhardt <jengelh@inai.de>
- Use Source URL. Remove services, just run `osc service lr
download_files` for updating.
2019-03-27 - Marcus Meissner <meissner@suse.com>
- disable the services, just run "osc service disabledrun" for upadating.
2018-10-14 - sean@suspend.net
- version 0.40
* add support for L1TF CVEs (aka Foreshadow and Foreshadow-NG)
* add summary of vulnerabilities at the end of script execution
2018-07-27 - jengelh@inai.de
- Compact and wrap description.
2018-05-30 - meissner@suse.com
- version 0.37
* lots of improvements
* spectre v4 and v3a added
2018-01-15 - adrian@suse.de
- update to version 0.31
* meltdown: detecting Xen PV, reporting as not vulnerable
* is_cpu_vulnerable: add check for old Atoms
* ibrs: check for spec_ctrl_ibrs in cpuinfo
2018-01-13 - adrian@suse.de
- update to version 0.29
* AMD updates
2018-01-12 - adrian@suse.de
- initial package of version 0.27

See Also

Package Description
srm-1.2.15-29.36.i586.rpm A secure replacement for rm
srm-1.2.15-29.36.x86_64.rpm A secure replacement for rm
ssdeep-2.14.1-21.13.i586.rpm Context Triggered Piecewise Hashing values
ssdeep-2.14.1-21.13.x86_64.rpm Context Triggered Piecewise Hashing values
sshguard-2.3.1-38.7.i586.rpm SSH brute force attack protector
sshguard-2.3.1-38.7.x86_64.rpm SSH brute force attack protector
sshuttle-0.78.4-11.1.noarch.rpm VPN over an SSH tunnel
ssldump-0.9b3-498.21.i586.rpm SSLv3/TLS Network Protocol Analyzer
ssldump-0.9b3-498.21.x86_64.rpm SSLv3/TLS Network Protocol Analyzer
sslh-1.20-1.8.i586.rpm SSL/SSH multiplexer
sslh-1.20-1.8.x86_64.rpm SSL/SSH multiplexer
sslscan-1.11.10-17.11.i586.rpm SSL cipher scanning tool
sslscan-1.11.10-17.11.x86_64.rpm SSL cipher scanning tool
stoken-0.92-16.6.i586.rpm Token code generator compatible with RSA SecurID 128-bit (AES) token
stoken-0.92-16.6.x86_64.rpm Token code generator compatible with RSA SecurID 128-bit (AES) token
Advertisement
Advertisement